package com.community.huiju.model;

import javax.xml.crypto.Data;
import java.util.Date;

public class TpTransactionReport {
    private Integer id;

    private Integer communityId;

    private Integer transactionId;

    private String reportReasonId;

    private Integer reporterId;

    private Date createDate;

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCommunityId() {
        return communityId;
    }

    public void setCommunityId(Integer communityId) {
        this.communityId = communityId;
    }

    public Integer getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(Integer transactionId) {
        this.transactionId = transactionId;
    }

    public String getReportReasonId() {
        return reportReasonId;
    }

    public void setReportReasonId(String reportReasonId) {
        this.reportReasonId = reportReasonId == null ? null : reportReasonId.trim();
    }

    public Integer getReporterId() {
        return reporterId;
    }

    public void setReporterId(Integer reporterId) {
        this.reporterId = reporterId;
    }
}